=head1 NAME

Gtk2::Gdk::Visual

=head1 HIERARCHY

  Glib::Object
  +----Gtk2::Gdk::Visual


=head1 METHODS

=head2 integer = Gtk2::Gdk::Visual-E<gt>B<get_best_depth> 

=over

=back

=head2 visual = Gtk2::Gdk::Visual-E<gt>B<get_best> 

=over

=back

=head2 visualtype = Gtk2::Gdk::Visual-E<gt>B<get_best_type> 

=over

=back

=head2 visual or undef = Gtk2::Gdk::Visual-E<gt>B<get_best_with_both> ($depth, $visual_type)

=over

=over

=item * $depth (integer) 

=item * $visual_type (Gtk2::Gdk::VisualType) 

=back

=back

=head2 visual or undef = Gtk2::Gdk::Visual-E<gt>B<get_best_with_depth> ($depth)

=over

=over

=item * $depth (integer) 

=back

=back

=head2 visual or undef = Gtk2::Gdk::Visual-E<gt>B<get_best_with_type> ($visual_type)

=over

=over

=item * $visual_type (Gtk2::Gdk::VisualType) 

=back

=back

=head2 integer = $visual-E<gt>B<bits_per_rgb> 

=over

=back

=head2 unsigned = $visual-E<gt>B<blue_mask> 

=over

=back

=head2 integer = $visual-E<gt>B<blue_prec> 

=over

=back

=head2 integer = $visual-E<gt>B<blue_shift> 

=over

=back

=head2 byteorder = $visual-E<gt>B<byte_order> 

=over

=back

=head2 integer = $visual-E<gt>B<colormap_size> 

=over

=back

=head2 integer = $visual-E<gt>B<depth> 

=over

=back

=head2 unsigned = $visual-E<gt>B<green_mask> 

=over

=back

=head2 integer = $visual-E<gt>B<green_prec> 

=over

=back

=head2 integer = $visual-E<gt>B<green_shift> 

=over

=back

=head2 unsigned = $visual-E<gt>B<red_mask> 

=over

=back

=head2 integer = $visual-E<gt>B<red_prec> 

=over

=back

=head2 integer = $visual-E<gt>B<red_shift> 

=over

=back

=head2 screen = $visual-E<gt>B<get_screen> 

=over

Since: gtk+ 2.2

=back

=head2 visual = Gtk2::Gdk::Visual-E<gt>B<get_system> 

=over

=back

=head2 visualtype = $visual-E<gt>B<type> 

=over

=back


=head1 ENUMS AND FLAGS

=head2 enum Gtk2::Gdk::ByteOrder

=over

=item * 'lsb-first' / 'GDK_LSB_FIRST'

=item * 'msb-first' / 'GDK_MSB_FIRST'

=back


=head2 enum Gtk2::Gdk::VisualType

=over

=item * 'static-gray' / 'GDK_VISUAL_STATIC_GRAY'

=item * 'grayscale' / 'GDK_VISUAL_GRAYSCALE'

=item * 'static-color' / 'GDK_VISUAL_STATIC_COLOR'

=item * 'pseudo-color' / 'GDK_VISUAL_PSEUDO_COLOR'

=item * 'true-color' / 'GDK_VISUAL_TRUE_COLOR'

=item * 'direct-color' / 'GDK_VISUAL_DIRECT_COLOR'

=back



=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>

=head1 COPYRIGHT

Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.


=cut

